% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/detection.R
\name{detectionPnegNorm}
\alias{detectionPnegNorm}
\title{Detection P-value based on normal fitting the negative controls}
\usage{
detectionPnegNorm(sset, pval.threshold = 0.05, return.pval = FALSE)
}
\arguments{
\item{sset}{a \code{SigSet}}

\item{pval.threshold}{minimum p-value to mask}

\item{return.pval}{whether to return p-values, instead of a
masked \code{SigSet}}
}
\value{
a \code{SigSet}, or a p-value vector if return.pval is TRUE
}
\description{
The function takes a \code{SigSet} as input, computes detection p-value
using negative control probes parametrized in a normal distribution and
returns a new \code{SigSet} with an updated pval slot.
}
\details{
Background of Grn and Red are estimated separately from negative control
probes-parameterized normal distribution. p-value is taken from the
minimum of the p-value of the two alleles (color depends on probe design).
}
\examples{
sset <- sesameDataGet("HM450.1.TCGA.PAAD")$sset
sum(mask(sset))
sset_with_mask <- detectionPnegNorm(sset)
sum(mask(sset_with_mask))
}
